Package wx :: Class PropagationDisabler

[frames | no frames]

## Type PropagationDisabler

    object --+
             |
            PropagationDisabler

Helper class to temporarily change an event not to propagate. Simply create an instance of this class and then whe it is destroyed the propogation of the event will be restored.

Method Summary
PropagationDisabler | ``__init__`(self, event)` Helper class to temporarily change an event not to propagate.
| `__del__(self)`

Property Summary
| `thisown`: The membership flag

Method Details

### __init__(self, event)
(Constructor)

Helper class to temporarily change an event not to propagate. Simply create an instance of this class and then whe it is destroyed the propogation of the event will be restored.

  Parameters:
    `event`
    (type=Event)

  Returns:
    PropagationDisabler
  Overrides:
    `__builtin__.object.__init__`

Property Details

### thisown

The membership flag

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:11:27 2007 | http://epydoc.sf.net